- protected_branch_presenter = protected_branch.present(current_user: current_user, presenter_class: Security::ProtectedBranchPresenter)
- can_update = protected_branch_presenter.can_update?(protected_branch_entity)
- is_inherited = protected_branch_presenter.entity_inherited?(protected_branch_entity)
- can_unprotect = protected_branch_presenter.can_unprotect_branch?
- can_force_push = allow_protected_branch_force_push?(@branches_protected_from_force_push, protected_branch, protected_branch_entity)
- protected_from_deletion = protected_branch.protected_from_deletion

- unless protected_branch.group_level?
  - tag_pair_security_policies_docs = tag_pair(link_to('', help_page_path('user/application_security/policies/scan-result-policies'), target: '_blank', rel: 'noopener noreferrer'), :learn_more_link_start, :learn_more_link_end)
  - tag_pair_security_policies_page = tag_pair(link_to('', namespace_project_security_policies_path, target: '_blank', rel: 'noopener noreferrer'), :security_policies_link_start, :security_policies_link_end)
  - popover_content = safe_format(s_("SecurityOrchestration|You can't unprotect this branch because its protection is enforced by one or more %{security_policies_link_start}security policies%{security_policies_link_end}. %{learn_more_link_start}Learn more%{learn_more_link_end}."), tag_pair_security_policies_docs, tag_pair_security_policies_page)

= render layout: 'protected_branches/shared/protected_branch', locals: { protected_branch: protected_branch, disabled: !can_unprotect, can_update: can_update, is_inherited: is_inherited, protected_branch_entity: protected_branch_entity, popover_content: popover_content, placement: 'top', protected_from_deletion: protected_from_deletion } do
  = render partial: 'protected_branches/ee/protected_branch_access_summary', locals: { protected_branch: protected_branch, can_update: can_update, can_force_push: can_force_push }
